org.eclipse.eef.properties.ui.legacy.internal.extension

## Interface IItemRegistry

All Known Implementing Classes:
  LegacyPropertyContributorRegistry, LegacyPropertySectionRegistry, LegacyPropertyTabRegistry

    public interface IItemRegistry

The registry used to track the descriptors of the extensions.

### Method Summary

All Methods Instance Methods Abstract Methods
`IItemDescriptor` `add(IItemDescriptor descriptor)` Adds the given `IItemDescriptor` to the registry.
`void` `clear()` Clears the registry.
`boolean` `remove(java.lang.String id)` Removes the `IItemDescriptor` with the given identifier.

### Method Detail

#### add

    IItemDescriptor add(IItemDescriptor descriptor)

Adds the given `IItemDescriptor` to the registry.

Parameters:
  `descriptor` - The descriptor
Returns:
  The previous `IItemDescriptor` with the same identifier, or null if no registered `IItemDescriptor` had the same identifier

#### remove

    boolean remove(java.lang.String id)

Removes the `IItemDescriptor` with the given identifier.

Parameters:
  `id` - The identifier
Returns:
  True if the element was removed, otherwise false

#### clear

    void clear()

Clears the registry.